# define used dbus type [p2p, session, system]
%global dbus_type session

%global commit      03d9c64c0cd1b9a5c399e531f6d83d2f2998094c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate     20161228


Name:           libgsignon-glib
Summary:        GLib API for the SSO framework
Version:        2.4.1
Release:        1.%{gitdate}.git%{shortcommit}%{?dist}
License:        LGPLv2

URL:            https://gitlab.com/accounts-sso/%{name}
Source:         https://gitlab.com/accounts-sso/%{name}/repository/archive.tar.gz?ref=%{commit}#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)


Requires:       dbus%{?_isa}
Requires:       gsignond%{?_isa}


%description
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.


%package        devel
Summary:        GLib API for the SSO framework (development files)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.

This package contains the development headers.


%package        example
Summary:        GLib API for the SSO framework (example client)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    example
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.

This package contains the example client.


%prep
%autosetup -n %{name}-%{commit}-%{commit}


%build
NOCONFIGURE=1 ./autogen.sh

%configure --enable-dbus-type=%{dbus_type}

%make_build


%install
%make_install

find %{buildroot} -name '*.la' -print -delete


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING

%{_libdir}/libgsignon-glib.so.1
%{_libdir}/libgsignon-glib.so.1.0.0

%{_libdir}/girepository-1.0/gSignon-1.0.typelib


%files          devel
%{_libdir}/libgsignon-glib.so
%{_libdir}/pkgconfig/libgsignon-glib.pc

%{_includedir}/libgsignon-glib/

%{_datadir}/gir-1.0/gSignon-1.0.gir
%{_datadir}/vala/vapi/libgsignon-glib.deps
%{_datadir}/vala/vapi/libgsignon-glib.vapi


%files          example
%{_bindir}/gsso-example


%changelog
* Sat Apr 15 2017 Fabio Valentini <decathorpe@gmail.com> - 2.4.1-1.20161228.git03d9c64
- Initial package.

